import { WeaTools } from "ecCom";
import { postFetch } from "../util/request";

//智能算薪-计费配置编辑表单
export const apiflowBillingConfigGet = (params) => {
  return WeaTools.callApi("/api/bs/hrmsalary/taxdeclaration/apiflow/billing/config/get", "GET", params);
};
//智能算薪-查询计费配置开关状态
export const apiflowBillingConfigStatus = (params) => {
  return WeaTools.callApi("/api/bs/hrmsalary/taxdeclaration/apiflow/billing/config/status", "GET", params);
};
//智能算薪-计费配置保存
export const apiflowBillingConfigSave = (params) => {
  return postFetch("/api/bs/hrmsalary/taxdeclaration/apiflow/billing/config/save", params);
};
//智能算薪-计费配置开关
export const apiflowBillingConfigEnable = (params) => {
  return postFetch("/api/bs/hrmsalary/taxdeclaration/apiflow/billing/config/enable", params);
};
//智能算薪-流量不足提醒初始化表单
export const apiflowWarnConfigGetForm = (params) => {
  return WeaTools.callApi("/api/bs/hrmsalary/taxdeclaration/apiflow/warn/config/getForm", "GET", params);
};
//智能算薪-接口流量使用记录
export const apiflowRecordList = (params) => {
  return postFetch("/api/bs/hrmsalary/taxdeclaration/apiflow/record/list", params);
};
//智能算薪-接口流量使用记录
export const apiflowStatisticsInfo = (params) => {
  return postFetch("/api/bs/hrmsalary/taxdeclaration/apiflow/statistics/info", params);
};
//智能算薪-接口流量使用明细
export const apiflowStatisticsList = (params) => {
  return postFetch("/api/bs/hrmsalary/taxdeclaration/apiflow/statistics/list", params);
};
//智能算薪-流量不足提醒编辑或保存
export const apiflowWarnConfigSave = (params) => {
  return postFetch("/api/bs/hrmsalary/taxdeclaration/apiflow/warn/config/save", params);
};
//智能算薪-流量不足提醒对象列表
export const apiflowWarnReceiverList = (params) => {
  return WeaTools.callApi("/api/bs/hrmsalary/taxdeclaration/apiflow/warn/receiver/list", "GET", params);
};
//智能算薪-编辑保存流量不足提醒对象
export const apiflowWarnReceiverSave = (params) => {
  return postFetch("/api/bs/hrmsalary/taxdeclaration/apiflow/warn/receiver/save", params);
};
//智能算薪-编辑保存流量不足提醒对象
export const apiflowWarnReceiverGetForm = (params) => {
  return postFetch("/api/bs/hrmsalary/taxdeclaration/apiflow/warn/receiver/getForm", params);
};
//智能算薪-流量不足提醒对象-删除
export const apiflowWarnReceiverDelete = (params) => {
  return WeaTools.callApi("/api/bs/hrmsalary/taxdeclaration/apiflow/warn/receiver/delete", "GET", params);
};
